﻿using Microsoft.Win32;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using Telerik.Windows.Controls;

namespace RadPropertyGridWithEditorAttributeIssue
{
    public class ImageSelectorViewModel : ViewModelBase
    {
        private string imagePath;

        public DelegateCommand SelectFileCommand { get; private set; }

        public ImageSelectorViewModel()
        {
            this.SelectFileCommand = new DelegateCommand(x => SelectFile());
        }


        public string ImagePath
        {
            get { return imagePath; }
            set
            {
                if (this.imagePath != value)
                {
                    imagePath = value;
                    OnPropertyChanged(() => ImagePath);
                }
            }
        }


        private void SelectFile()
        {
            OpenFileDialog fs = new OpenFileDialog();
            if (fs.ShowDialog() == true)
            {
                this.ImagePath = fs.FileName;
            }
        }
    }
}
